Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.index.attributes
Class CategoryAttributesIterable

    java.lang.Object
      org.apache.lucene.facet.index.attributes.CategoryAttributesIterable

All Implemented Interfaces:
  Iterable<CategoryAttribute>

    public class CategoryAttributesIterable

extends Object
implements Iterable<CategoryAttribute>

This class transforms an `Iterable` of `CategoryPath` objects into an `Iterable` of `CategoryAttribute` objects, which can be used to construct a `CategoryAttributesStream`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`CategoryAttributesIterable(Iterable<CategoryPath> inputIterable)`

Method Summary
`Iterator<CategoryAttribute>` | `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryAttributesIterable

    public CategoryAttributesIterable(Iterable<CategoryPath> inputIterable)

Method Detail

### iterator

    public Iterator<CategoryAttribute> iterator()

  Specified by:
    `iterator` in interface `Iterable<CategoryAttribute>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD